Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# QueuedConnectionListener Class Reference

This flavor of ConnectionListener will queue up all of the TCP connections it established for later detection by the client code. More...

Inheritance diagram for QueuedConnectionListener:

List of all members.

## Public Member Functions
| QueuedConnectionListener (ConnectionManager manager, int num_threads)
bool | getNewConnection (PointerToConnection rendezvous, NetAddress address, PointerToConnection new_connection)
| If a previous call to new_connection_available() returned true, this function will return information about the newly established connection.
bool | getNewConnection (PointerToConnection new_connection)
| This flavor of get_new_connection() simply returns a new connection, assuming the user doesn't care about the rendezvous socket that originated it or the address it came from.
bool | newConnectionAvailable ()
| Returns true if a new connection was recently established; the connection information may then be retrieved via get_new_connection().

## Detailed Description

This flavor of ConnectionListener will queue up all of the TCP connections it established for later detection by the client code.

## Constructor & Destructor Documentation

QueuedConnectionListener | ( | ConnectionManager | manager,
|  | int | num_threads
| ) |  |

## Member Function Documentation

bool getNewConnection | ( | PointerToConnection | new_connection | ) |

This flavor of get_new_connection() simply returns a new connection, assuming the user doesn't care about the rendezvous socket that originated it or the address it came from.

bool getNewConnection | ( | PointerToConnection | rendezvous,
|  | NetAddress | address,
|  | PointerToConnection | new_connection
| ) |  |

If a previous call to new_connection_available() returned true, this function will return information about the newly established connection.

The rendezvous parameter is the particular rendezvous socket this new connection originally communicated with; it is provided in case the ConnectionListener was monitorind more than one and you care which one it was. The address parameter is the net address of the new client, and new_connection is the socket of the newly established connection.

The return value is true if a connection was successfully returned, or false if there was, in fact, no new connection. (This may happen if there are multiple threads accessing the QueuedConnectionListener).

bool newConnectionAvailable | ( |  | ) |

Returns true if a new connection was recently established; the connection information may then be retrieved via get_new_connection().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties